package com.bonus.core.menu.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.core.common.page.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@ApiModel("获取指定餐品的评价列表")
public class MenuEvaluaMealVO implements Serializable {
   @ApiModelProperty("餐品id")
   private Long mealId;
   @ApiModelProperty("平均评分")
   private BigDecimal avgStarLevel;
   @ApiModelProperty("评价列表")
   private List<MenuEvaluaOrderPageMealVO> evaluaList;
   @ApiModelProperty("评价列表")
   private PageVO<MenuEvaluaOrderPageMealVO> evaluaListVo;

   public Long getMealId() {
      return this.mealId;
   }

   public BigDecimal getAvgStarLevel() {
      return this.avgStarLevel;
   }

   public List<MenuEvaluaOrderPageMealVO> getEvaluaList() {
      return this.evaluaList;
   }

   public void setMealId(final Long mealId) {
      this.mealId = mealId;
   }

   public void setAvgStarLevel(final BigDecimal avgStarLevel) {
      this.avgStarLevel = avgStarLevel;
   }

   public void setEvaluaList(final List<MenuEvaluaOrderPageMealVO> evaluaList) {
      this.evaluaList = evaluaList;
   }

   public PageVO<MenuEvaluaOrderPageMealVO> getEvaluaListVo() {
      return evaluaListVo;
   }

   public void setEvaluaListVo(PageVO<MenuEvaluaOrderPageMealVO> evaluaListVo) {
      this.evaluaListVo = evaluaListVo;
   }
}
